import { ObservablePoint } from '../../../maths/ObservablePoint';
import { Texture } from '../../renderers/shared/texture/Texture';
import type { PointData } from '../../../maths/PointData';
import type { View, ViewObserver } from '../../renderers/shared/View';
import type { Bounds } from '../../scene/bounds/Bounds';
import type { TextureDestroyOptions, TypeOrBool } from '../../scene/destroyTypes';
export declare class SpriteView implements View {
    readonly renderPipeId = "sprite";
    readonly owner: ViewObserver;
    readonly uid: number;
    batched: boolean;
    anchor: ObservablePoint;
    /** @internal */
    _texture: Texture;
    /** @internal */
    _didUpdate: boolean;
    private _bounds;
    private _sourceBounds;
    private _boundsDirty;
    private _sourceBoundsDirty;
    constructor(texture: Texture);
    set texture(value: Texture);
    get texture(): Texture;
    get bounds(): [number, number, number, number];
    get sourceBounds(): [number, number, number, number];
    containsPoint(point: PointData): boolean;
    addBounds(bounds: Bounds): void;
    /**
     * @internal
     */
    onUpdate(): void;
    private _updateBounds;
    private _updateSourceBounds;
    /**
     * Destroys this sprite renderable and optionally its texture.
     * @param options - Options parameter. A boolean will act as if all options
     *  have been set to that value
     * @param {boolean} [options.texture=false] - Should it destroy the current texture of the renderable as well
     * @param {boolean} [options.textureSource=false] - Should it destroy the textureSource of the renderable as well
     */
    destroy(options?: TypeOrBool<TextureDestroyOptions>): void;
}
